Page MenuHomePhabricator

"Always show me both tabs" choice in SET pref dialog refreshes page but does not take effect immediately without another refresh
Closed, ResolvedPublic1 Story Points

Description

@Whatamidoing-WMF sent me this quote on Friday:

Comment I tried it at the test Wiki. I was prompted for my choice when I attempted to edit. I picked the "always show me both tabs" choice. The page reloaded but I was only presented one tab, which is confusing. Upon my next edit, it did in fact start showing me both tabs. But have me choose "always show both tabs" and then sending me back to the edit window with only one tab makes a user wonder if it took effect or not. Jason Quinn (talk) 12:39, 1 April 2016 (UTC)

I reproduced the issue earlier.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2016, 10:43 PM
AlexMonk-WMF updated the task description. (Show Details)

Change 281553 had a related patch set uploaded (by Alex Monk):
Fix up mw.libs.ve.EditingTabDialog.prototype.getActionProcess

https://gerrit.wikimedia.org/r/281553

Jdforrester-WMF closed this task as Resolved.Apr 5 2016, 3:31 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 281553 merged by jenkins-bot:
Fix up mw.libs.ve.EditingTabDialog.prototype.getActionProcess

https://gerrit.wikimedia.org/r/281553